
// Hello.java
// Andrew Davison, ad@fivedots.coe.psu.ac.th, March 2023

/* Display a few messages, then waits for the user
   to quit by typing <esc>.

   Uses Lanterna 3
   https://github.com/mabe02/lanterna

   Usage (Windows):
     > compile.bat Hello.java
     > run.bat Hello

   Usage (Linux):
     > ./compile.sh Hello.java
     > ./run.sh Hello

*/

import com.googlecode.lanterna.*;
import com.googlecode.lanterna.screen.*;


public class Hello 
{
  public static void main(String[] args) 
  {
    Screen scr = Utils.createScreen();

    Utils.putString(scr, 10, 10, "Hello World!", 
                                TextColor.ANSI.GREEN);
    Utils.pause(1000);
    Utils.putString(scr, 10, 11, "How are you?");

    Utils.waitQuit(scr);
    Utils.close(scr); 
  } // end of main()


} // end of CheckLanterna class
